## org.apache.fop.pdf
Class PDFFileSpec

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFFileSpec

public class PDFFileSpec
extends PDFObject

class representing a /FileSpec object.

Field Summary
`protected java.lang.String` `filename` the filename

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFFileSpec(int number, java.lang.String filename)` create a /FileSpec object.

Method Summary
`byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filename

    protected java.lang.String filename

  the filename

Constructor Detail

### PDFFileSpec

    public PDFFileSpec(int number,
                       java.lang.String filename)

  create a /FileSpec object.
  Parameters:
    `number` - the object's number
    `filename` - the filename represented by this object

Method Detail

### toPDF

    public byte[] toPDF()

  represent the object in PDF
  Returns:
    the PDF string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.